Bug 1255424 - Heat stack "delete in progress"
Heat stack "delete in progress"
Status: CLOSED NOTABUG
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-heat (Show other bugs)
4.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 8.0 (Liberty)
Assigned To: Zane Bitter
Amit Ugol
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-20 10:29 EDT by Pablo Caruana
Modified: 2016-04-26 11:59 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-02 17:03:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pablo Caruana 2015-08-20 10:29:37 EDT
Description of problem:
On OSP 4 when attempting to delete heat stack -stuck at DELETE_IN_PROGRESS

On previous scenarios  have deleted the stack by "updating"  just updated the 
resource_status field for marking DELETE_COMPLETE , heat stack delete was  DELETE_IN_PROGRESS and then moving to DELETE_FAILED.

Then "heat stack-delete" was completed  but that left you with several "orphan" resources that need to be  deleted in order to clean up the tenant.

Currently as some roll-back  was performed returning from a previous Icehouse upgrade the current situation appears again.
 

Version-Release number of selected component (if applicable):

openstack-heat-api-2014.1.4-1.el6ost.noarch                
openstack-heat-api-cfn-2014.1.4-1.el6ost.noarch             
openstack-heat-api-cloudwatch-2014.1.4-1.el6ost.noarch      
openstack-heat-common-2014.1.4-1.el6ost.noarch              
openstack-heat-engine-2014.1.4-1.el6ost.noarch              
openstack-heat-templates-0-0.3.20140407git.el6ost.noarch
Comment 6 Zane Bitter 2015-08-20 11:09:19 EDT
Probably the least-invasive thing to do in the DB would be to move anything with an IN_PROGRESS status (both stack and resources) to the corresponding FAILED status. (Later versions of Heat handle this better automatically, but not Icehouse.)

After that you can try deleting the stack again through the API - if resources are in the DELETE_FAILED status then Heat will attempt to clean them up again on the next delete, so you won't get orphans left behind like you would if you set them to DELETE_COMPLETE directly in the DB.
Comment 15 Dave Maley 2015-09-02 17:03:37 EDT
based on last comment the issue reported here has been resolved.  the remaining inconsistency issues related to the rollback will be addressed separately.

Note You need to log in before you can comment on or make changes to this bug.